=== pogo/templates/java/Makefile ===
#+======================================================================
# $Source$
#
# Project:      Tango Device Server
#
# Description:  Makefile to generate the JAVA Tango classes package
#
# $Author: pascal_verdier $
#
# $Revision: 9742 $
#
# $Log$
#
# copyleft :    European Synchrotron Radiation Facility
#               BP 220, Grenoble 38043
#               FRANCE
#
#-======================================================================
#
#  		This file is generated by POGO
#	(Program Obviously used to Generate tango Object)
#
#         (c) - Software Engineering Group - ESRF
#/=============================================================================

JAVAC = javac -classpath ..:$(CLASSPATH)

# -----------------------------------------------------------------
#
#		The compiler flags
#
#------------------------------------------------------------------

JAVAFLAGS = -g

#-------------------------------------------------------------------


CLASS	=	TemplateDevServ
CL_LIST =	$(CLASS).class

PACKAGE = $(CLASS)


#
# Rule for compiling
#

.SUFFIXES:	.class .java
.java.class:
	$(JAVAC) $(JAVAFLAGS) $<

#-----------------------------------------------------------------


all:	$(PACKAGE)

$(PACKAGE): 	$(CL_LIST)


#-----------------------------------------------------------------
PACK_HOME = ..

jar:	$(PACKAGE)
	cd $(PACK_HOME); jar cvf		\
		$(PACKAGE)/$(PACKAGE).jar 	\
		$(PACKAGE)/*.class
	ls -l $(PACKAGE).jar 

#-----------------------------------------------------------------
doc:
	javadoc -d doc				\
	-windowtitle $(CLASS)		\
	-private 					\
	-version -author			\
	-nodeprecated				\
	-header "$(CLASS) Class"	\
	*.java

#-----------------------------------------------------------------

clean:
	rm -f *.class
