=== debian/changelog ===
tango (8.1.2c+dfsg-7ubuntu3) xenial; urgency=medium

  * Added patch for removal of mysqlclient_r in MySQL 5.7 (LP:
    #1564871).

 -- Lars Tangvald <lars.tangvald@oracle.com>  Thu, 07 Apr 2016 10:05:38 +0200

tango (8.1.2c+dfsg-7ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:03:09 +0000

tango (8.1.2c+dfsg-7ubuntu1) xenial; urgency=medium

  * (Build-)depend on libzmq5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:15:12 +0100

tango (8.1.2c+dfsg-7) unstable; urgency=medium

  * debian/patches
    - 0009-fix-gcc5-compilation.patch (replace by)
    + 0009-fix-forwarded-upstream-gcc5.patch (better fix)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 13 Sep 2015 11:47:04 +0200

tango (8.1.2c+dfsg-6) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (nothing to do)
  * debian/control
    + Updated Vcs-Git
  * debian/patches
    + 0009-fix-gcc5-compilation.patch (Closes: #797285)
  * GCC5 transistion
    - Rename liblog4tango5 to liblog4tango5v5, triggered by the libstdc++6
    - Rename libtango8 to libtango8v5, triggered by the libstdc++6
    transition.
    - Add Conflict/Replaces with the old libraries.
    - Rename liblog4tango5-dbg to liblog4tango5v5-dbg.
    - Rename libtango8-dbg to libtango8v5-dbg.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Sep 2015 18:34:07 +0200

tango (8.1.2c+dfsg-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (nothing to do)
  * debian/patches
    + 0008-fix-upsteam-p812_4.patch
  * create the user in the postinst to deal with the piuparts remaining
    files error. An empty tango home directory (/var/lib/tango) is part of
    tango-common so we let dpkg deal with its removal (Closes: #657146)
  * add the tango user to the video group. Some tango devices need access to
    video grabbers.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 01 May 2014 11:51:06 +0200

tango (8.1.2c+dfsg-4) unstable; urgency=medium

  * debian/patches
    + 0007-fix-upstream-p812_3.patch
  * Remove the debian version from the dbconfig-common upgrade files
    in preparation of the backport of tango.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Feb 2014 09:49:26 +0100

tango (8.1.2c+dfsg-3) unstable; urgency=low

  * debian/patches
    + 0006-fix-upstream-p812_2.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 25 Nov 2013 20:42:41 +0100

tango (8.1.2c+dfsg-2) unstable; urgency=low

  * debian/rules
    - fix for real the build on ubuntu (mismatch between shell and
      makefile syntax) (LP: #1250534).
      The -Wl,symbolic-functions LDFLAGS is now stripped for real
  * debian/patches
    + 0005-forwarded-upstrean-fix-FTBFS-on-sparc64.patch
      (Closes: #729163) thanks Aurelien Jarno for the patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Nov 2013 10:22:20 +0100

tango (8.1.2c+dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.1.2c+dfsg
  * debian/patch
    + 0004-fix-upstream-p812_1.diff.patch
  * Add debconf translation:
    - Brazilian Portuguese, from Adriano Rafael Gomes (Closes: #721628)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 02 Sep 2013 17:53:39 +0200

tango (8.1.2b+dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.1.2b+dfsg
  * update repack.local to remove the jzmq part
  * debian/control
    - add new binary packages:
      + liblog4tango5, liblog4tango5-dev, liblog4tango5-dbg
    - remove binary packages:
      + liblog4tango4, liblog4tango4-dev, liblog4tango4-dbg
  * debian/patches
    - deleted
      * 0004-upstream-fix-p805_1.patch
      * 0005-fix-forwaded-upstream-add-LIBZMQ_LIBS-to-libtango.patch
      * 0006-upstream-fix-p805_2.patch
      * 0007-upstream-attempt-to-fix-the-powerpc-FTBFS.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Jun 2013 14:18:05 +0200
