=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://sf.net/tango-cs/tango-(.*)\.tar\.gz \
debian sh debian/repack.stub
