## tango 9.2.5~rc1+dfsg1

=== debian/changelog ===
tango (9.2.5~rc1+dfsg1-2) unstable; urgency=medium

  * fixed mysql 9.2.5 the upgrade script

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 16:51:54 +0100

tango (9.2.5~rc1+dfsg1-1) unstable; urgency=medium

  * Uploadced into Unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 09:03:23 +0100

tango (9.2.5~rc1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 9.2.5~rc1+dfsg1
  * Use default-libmysqlclient-dev instead of libmysqlclient-dev in
    order to support also MariaDB.
  * d/patches
    - 0004-p922_1.patch (useless)
    - 0011-link-against-libmysqlclient-Closes-825081.patch (useless)
    - 0005-fix-FTBF-due-to-missing-cmath-include.patch (upstreamed)
    + 0005-fix-mysql-detection.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Oct 2016 13:03:23 +0200

tango (9.2.2+dfsg-1~exp4) experimental; urgency=medium

  * merge with 8.1.2c+dfsg-8

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 May 2016 21:39:29 +0200

tango (9.2.2+dfsg-1~exp3) experimental; urgency=medium

    + 0005-fix-FTBF-due-to-missing-cmath-include.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 26 Apr 2016 09:44:04 +0200

tango (9.2.2+dfsg-1~exp2) experimental; urgency=medium

  * debian/patches
    + 0004-p922_1.patch (added)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 26 Apr 2016 09:44:04 +0200

tango (9.2.2+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.2+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Mar 2016 09:53:10 +0100

tango (9.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.1+dfsg
  * Bump Standards-Version to 3.9.7 (nothing to do)
  * Update xxx.init.d script (Closes: #806409)
  * debian/control
    - Update Vcs-Git
    - Add new binary packages:
      + liblog4tango-dev, liblog4tango-doc,
        libtango9, libtango-dev, libtango-doc
    - remove binary packages:
      + liblog4tango5-dev, liblog4tango5-doc, liblog4tango5-dbg,
        libtango8v5, libtango8-dev, libtango8-doc, libtango8v5-dbg,
        tango-db-dbg, tango-accesscontrol-dbg,
        tango-starter-dbg, tango-test-dbg
    - BuildDepends:
      + debhelper (>= 9.20151219~) to generate the -dbgsym packages.
      + libzmq3-dev -> libzmq5-dev | libzmq3-dev to support backports.
    - BuildDepIndep: added lyx, omniidl and transfig, texlive-font-utils,
        texlive-latex-base in order to build the documentation
    - Remove all the Pre-Depends: ${misc:Pre-Depends} lines which are useless.
    - Support for the new dbconfig-common 2.x
      dbconfig-common -> dbconfig-mysql | dbconfig-no-thanks,
  * debian/copyright
    - updated for tango9
    - repack using Files-Excluded
  * debian/patches
    - deleted (applyed upstream)
      - 0004-fix-upstream-p812_1.diff.patch
      - 0005-forwarded-upstrean-fix-FTBFS-on-sparc64.patch
      - 0006-fix-upstream-p812_2.patch
      - 0007-fix-upstream-p812_3.patch
      - 0008-fix-upsteam-p812_4.patch
    - refreshed
      - 0001-debian-fix_database_scripts.patch
      - 0002-debian-my.cnf.in.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 07 Mar 2016 10:48:59 +0100

tango (8.1.2c+dfsg-8) unstable; urgency=medium

  * debian/pacthes
    + 0010-fix-FTBFS-824459-due-to-missing-cmath.patch (Closes: #824459)
    + 0011-link-against-libmysqlclient-Closes-825081.patch (Closes: #825081)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 May 2016 20:06:02 +0200
