=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')

CONFIGURE_OPTS := --with-omni=/usr --disable-static --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

# 816173
export LYX_USERDIR_21x=$(CURDIR)/

%:
	dh $@ --with autoreconf

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cat cppserver/database/stored_proc.sql\
	    cppserver/database/update_db.sql > debian/mysql/$(VERSION)
	$(MAKE) distclean

# 816173
override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.lyx

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build-indep:
	$(MAKE) -C lib/cpp/log4tango/doc
	$(MAKE) -C doc pdf

override_dh_auto_install-arch:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 debian/mysql/* debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_auto_install-indep:
	$(MAKE) -C lib/cpp/log4tango/doc install DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C lib/idl install DESTDIR=$(CURDIR)/debian/tmp/

	# install the tango home dir
	install -d debian/tmp/var/lib/tango

override_dh_install:
	# liblog4tango5v5
	dh_install -p liblog4tango5v5 usr/lib/*/liblog4tango.so.*

	# liblog4tango-dev
	dh_install -p liblog4tango-dev usr/include/tango/log4tango
	dh_install -p liblog4tango-dev usr/lib/*/liblog4tango*.so
	dh_install -p liblog4tango-dev usr/lib/*/pkgconfig/log4tango.pc

	# liblog4tango-doc
	dh_install -p liblog4tango-doc usr/share/doc/log4tango/log4tango-*/api usr/share/doc/liblog4tango-doc/html
	dh_install -p liblog4tango-doc usr/share/man/man3

	# libtango9
	dh_install -p libtango9 usr/lib/*/libtango.so.*

	# libtango-dev
	dh_install -p libtango-dev usr/include/tango/*.*
	dh_install -p libtango-dev usr/include/tango/idl
	dh_install -p libtango-dev usr/lib/*/libtango*.so
	dh_install -p libtango-dev usr/lib/*/pkgconfig/tango.pc

	# libtango-doc
	dh_install -p libtango-doc usr/share/doc/tango/tango.pdf usr/share/doc/libtango-doc
	dh_install -p libtango-doc usr/share/tango/idl usr/share/doc/libtango-doc

	# libtango-tools
	dh_install -p libtango-tools usr/bin/tango_admin usr/lib/tango

	# tango-common
	dh_install -p tango-common var/lib/tango

	# tango-db
	dh_install -p tango-db usr/bin/DataBaseds usr/lib/tango
	dh_install -p tango-db usr/share/tango-db
	dh_install -p tango-db usr/share/dbconfig-common

	# tango-starter
	dh_install -p tango-starter usr/bin/Starter usr/lib/tango

	# tango-accesscontrol
	dh_install -p tango-accesscontrol usr/bin/TangoAccessControl usr/lib/tango

	# tango-test
	dh_install -p tango-test usr/bin/TangoTest usr/lib/tango

	dh_install --list-missing -X.la

override_dh_strip:
	dh_strip -plibtango9 --ddeb-migration='libtango9-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -pliblog4tango5v5 --ddeb-migration='liblog4tango5v5-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-db --ddeb-migration='tango-db-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-starter --ddeb-migration='tango-starter-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-accesscontrol --ddeb-migration='tango-accesscontrol-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-test --ddeb-migration='tango-test-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -a -Nlibtango9 -Nliblog4tango5v5 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

# Aucun test nécessaire pour la documentation
override_dh_auto_test-indep:
