=== debian/watch ===
version=4
#opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
#     http://sf.net/tango-cs/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
     ftp://ftp.esrf.eu/pub/cs/tango/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
