## tango 9.2.5a+dfsg1

=== pogo/templates/cpp/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 #	Set default home directories
 #-----------------------------------------
 
-TANGO_HOME   =  /usr/local
+TANGO_HOME   =  /segfs/tango/tmp/Reynald/install/debian7
 CPP_SERVERS  =  $(TANGO_HOME)/cppserver
 
 ifdef no_debug
@@ -60,13 +60,13 @@
 endif
 
 INCLUDE_DIRS =  -I$(TANGO_HOME)/include/tango \
-					 -I/segfs/tango/ORB/omniORB4.1.6/ubuntu1204/include \
+					 -I/segfs/tango/ORB/omniORB4.2.1_p1/debian7/include \
 					 -I.	\
                 -I$(CPP_SERVERS)/include
 
 OBJS_DIR    = obj
 LIB_DIRS    = -L $(TANGO_HOME)/lib \
-				  -L /segfs/tango/ORB/omniORB4.1.6/ubuntu1204/lib
+				  -L /segfs/tango/ORB/omniORB4.2.1_p1/debian7/lib
 
 TARGET_LIB = $(CPP_SERVERS)/lib/libtgclasses.a
