=== debian/changelog ===
tango (9.2.5a+dfsg1-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:20:27 -0300

tango (9.2.5a+dfsg1-2build2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:06:15 +0000

tango (9.2.5a+dfsg1-2build1) bionic; urgency=medium

  * No-change rebuild for omniorb soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 11:38:05 +0000

tango (9.2.5a+dfsg1-2) unstable; urgency=high

  * fix for real #848137.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Jan 2017 18:17:17 +0100

tango (9.2.5a+dfsg1-1) unstable; urgency=high

  * Imported Upstream version 9.2.5a+dfsg1
  * Updated dbconfig-common scripts (Closes: #848137)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Jan 2017 10:58:19 +0100

tango (9.2.5~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream version 9.2.5~rc2+dfsg1
  * d/patches
    - 0005-fix-mysql-detection.patch (upstreamed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 15 Dec 2016 21:43:38 +0100
