=== debian/control ===
Source: tango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9.20151219~),
               dh-autoreconf,
               libcos4-dev,
               default-libmysqlclient-dev,
               libzmq5-dev | libzmq3-dev,
               omniidl,
               po-debconf,
Build-Depends-Indep: doxygen,
                     ghostscript,
                     lyx,
                     texlive-font-utils,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     transfig,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tango.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/tango.git
Homepage: http://www.tango-controls.org

Package: liblog4tango5v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: liblog4tango5
Replaces: liblog4tango5
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango5 library.

Package: liblog4tango-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         liblog4tango5v5 (= ${binary:Version})
Conflicts: liblog4tango4-dev, liblog4tango5-dev
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango5 development files.

Package: liblog4tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Conflicts: liblog4tango5-doc
Replaces: liblog4tango5-doc
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango5 library.

Package: libtango9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-common
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libcos4-dev,
         liblog4tango-dev,
         libtango9 (= ${binary:Version}),
         libzmq5-dev | libzmq3-dev,
Conflicts: libtango7-dev, libtango8-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango9 development files.

Package: libtango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango9 library.

Package: libtango-tools
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Architecture: all
Multi-Arch: foreign
Section: net
Depends: ${misc:Depends},
         adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbconfig-mysql | dbconfig-no-thanks,
         libtango-tools,
         lsb-base
Recommends: default-mysql-client
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL/MariaDB.

Package: tango-starter
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base
Suggests: omninotify
Description: TANGO distributed control system - starter server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-accesscontrol
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base,
         tango-db,
         tango-starter
Description: TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-test
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-starter
Description: TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.
